Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository
Class ViewCvsFileLinkGenerator

    java.lang.Object
      com.atlassian.bamboo.repository.ViewCvsFileLinkGenerator

All Implemented Interfaces:
  WebRepositoryViewer

    public class ViewCvsFileLinkGenerator

extends Object
implements WebRepositoryViewer

This class provides generates the viewcvs url for a given file

Field Summary

Fields inherited from interface com.atlassian.bamboo.repository.WebRepositoryViewer
`CVS_REPO_TYPE, SVN_REPO_TYPE`

Constructor Summary
`ViewCvsFileLinkGenerator(String repositoryBaseUrl)`

Method Summary
`String` | `getWebRepositoryUrlForDiff(CommitFile file, String repositoryName, String repositoryType)`
`String` | `getWebRepositoryUrlForFile(CommitFile file, String repositoryName, String repositoryType)` Generate the link to a given file in a given repository
`String` | `getWebRepositoryUrlForRevision(CommitFile file, String repositoryName, String repositoryType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewCvsFileLinkGenerator

    public ViewCvsFileLinkGenerator(String repositoryBaseUrl)

Method Detail

### getWebRepositoryUrlForFile

    public String getWebRepositoryUrlForFile(CommitFile file,
                                             String repositoryName,
                                             String repositoryType)

  Generate the link to a given file in a given repository

  Specified by:
    `getWebRepositoryUrlForFile` in interface `WebRepositoryViewer`
  Parameters:
    `file` - The file we want to link to.
    `repositoryName` - An optional repository. This is used when the viewcvs baseurl points to a multi-build repository
    `repositoryType` - One of IS_CVS_REPO_LINK or SVN_REPO_TYPE.
  Returns:
    The url

### getWebRepositoryUrlForRevision

    public String getWebRepositoryUrlForRevision(CommitFile file,
                                                 String repositoryName,
                                                 String repositoryType)

### getWebRepositoryUrlForDiff

    public String getWebRepositoryUrlForDiff(CommitFile file,
                                             String repositoryName,
                                             String repositoryType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.